import React from 'react'
import { StyleSheet, View } from 'react-native'
import SectionFlex from './SectionFlex'
import FastImage from 'react-native-fast-image'
import Section from './Section'
import FeatureText from './FeatureText'
import { useCacheBust } from './useCacheBust'

const IMAGE_URL = 'https://media.giphy.com/media/GEsoqZDGVoisw/giphy.gif'

export const BorderRadiusExample = () => {
    const { query, bust } = useCacheBust('')
    return (
        <View>
            <Section>
                <FeatureText text="• Border radius." />
            </Section>
            <SectionFlex onPress={bust}>
                <FastImage
                    style={styles.imageSquare}
                    source={{
                        uri: IMAGE_URL + query,
                    }}
                />
                <FastImage
                    style={styles.imageRectangular}
                    source={{
                        uri: IMAGE_URL + query,
                    }}
                />
            </SectionFlex>
        </View>
    )
}

const styles = StyleSheet.create({
    imageSquare: {
        borderRadius: 50,
        height: 100,
        backgroundColor: '#ddd',
        margin: 20,
        width: 100,
        flex: 0,
    },
    imageRectangular: {
        borderRadius: 50,
        borderTopLeftRadius: 10,
        borderBottomRightRadius: 10,
        height: 100,
        backgroundColor: '#ddd',
        margin: 20,
        flex: 1,
    },
    plus: {
        width: 30,
        height: 30,
        position: 'absolute',
        bottom: 0,
        right: 0,
    },
})
